Skip to main content
Visits

Reschedule a visit

PATCH
/visits/{id}
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

idintegerrequired
Required range: 0 < x <= 9007199254740991

Body

application/json
arrival_windowinteger
Required range: 0 <= x <= 1440
assigned_tostring[]
Maximum array length: 20
crew_idinteger | null
Required range: 0 < x
duration_minutesinteger
Required range: 1 <= x <= 1440
is_anytimeboolean
notify_assigneesbooleandefault:false
notify_customerbooleandefault:false

Default false: the customer is not notified. Send true to notify them of the time change.

startstring

Response

application/json

The visit after the change

X-RateLimit-Limitintegerheader

The company's daily request limit.

X-RateLimit-Remainingintegerheader

Requests left in the current daily window.

X-RateLimit-Resetstringheader

When the daily window resets (UTC ISO timestamp).

X-RateLimit-Minute-Limitintegerheader

The company's per-minute request limit.

X-RateLimit-Minute-Remainingintegerheader

Requests left in the current minute.

X-RateLimit-Minute-Resetstringheader

When the minute window resets (UTC ISO timestamp).

arrival_windowintegerrequired

Minutes; 0 = none

assigned_toobject[]required
confirmedbooleanrequired
crew_idinteger | nullrequired
customer_idstringrequired
duration_minutesintegerrequired
endstringrequired
idintegerrequired
is_anytimebooleanrequired
job_idstringrequired
orderingintegerrequired

1 = first visit

startstringrequired
statusenum<string>required
Available options: not_started, in_progress, paused, finished